Simple Last.fm Scrobbler
========================

Simple Last.fm Scrobbler (SLS) is a simple app that scrobbles music listened
to on an Android phone. Scrobbling means submitting listening information to
Last.fm (and optionally/additionally Libre.fm) when you play a track, and you
can then get music recommendations and view you listening history and statistics
at Last.fm.

More info about scrobbling can be found on [Last.fm's FAQ](http://www.last.fm/help/faq?category=Scrobbling#201).

**If anyone wants to take part in developing this app further, I'm looking for contributors. Please email me, or just fork and code away.**

If you need inspiration on stuff to do, you might want to have a look at the list of issues.

Contact email:
[simple.lfm.scrobbler@gmail.com](mailto:simple.lfm.scrobbler@gmail.com)

Download
--------
You can find the latest version of Simple Last.fm Scrobbler in the
[Google Play Store](https://play.google.com/store/apps/details?id=com.adam.aslfms), and here
in the [downloads section](https://github.com/tgwizard/sls/downloads).

Features
--------

 * Scrobbling
 * Now playing notifications
 * Power-saving settings
 * Caching scrobbles (while offline or through settings)
 * Editing scrobble cache
 * More

Supported websites (to scrobble to)
-----------------------------------

 * [Last.fm](http://last.fm)
 * [Libre.fm](http:///libre.fm)

Apps
----

 * Default Android Music Player
 * HTC Hero Music Player
 * [Meridian Player](http://sites.google.com/site/eternalsandbox/Home/meridian-video-player) **(a)**
 * [RockOn](http://abrantix.org/rockon.php) ([Google Play](https://play.google.com/store/apps/details?id=org.abrantes.filex)) **(a)**
 * [MixZing](http://mixzing.com/android.html ) ([Google Play](https://play.google.com/store/apps/details?id=com.mixzing.basic)) **(a)**
 * [Archos Music Player](http://www.archos.com/products/imt/archos_5it/index.html) **(b)**
 * [Rhapsody Android Beta](http://www.rhapsody.com/android/download) **(b)**
 * [Vanilla Music Player](http://github.com/kreed/vanilla) ([Google Play](https://play.google.com/store/apps/details?id=org.kreed.vanilla)) **(a)**
 * [bTunes](http://www.btunesmusicplayer.com/default.html) ([Google Play](https://play.google.com/store/apps/details?id=com.bmayers.bTunesRelease), and [more](http://www.facebook.com/pages/bTunes/362875048125?v=wall))
 * [³ (cubed)](http://abrantix.org/3.php) - Appears as !RockOn !NextGen in the Enabled Apps screen ([Google Play](https://play.google.com/store/apps/details?id=org.abrantix.rockon.rockonnggl))
 * [WIMP](http://wimp.no/)
 * [Zimly](http://zim.ly/)
 * [Just Playlists](http://jp.folsoms.info)
 * [PowerAMP](http://powerampapp.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.maxmpz.audioplayer))
 * [Winamp](http://blog.winamp.com/2010/11/30/winamp-for-android/)
 * [myTouch 4G](http://mytouch.t-mobile.com/)
 * [Google Music](http://music.google.com/music/)
 * [Player Pro](http://www.aplayerpro.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.tbig.playerpro))
 * [jukefox](http://www.jukefox.org/) ([Google Play](https://play.google.com/store/apps/details?id=ch.ethz.dcg.pancho2)) **(a)**
 * [DAAP Media Player](http://code.google.com/p/daap-client/ ) ([Google Play](https://play.google.com/store/apps/details?id=org.mult.daap))
 * [Folder Player](http://folderplayer.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.folderplayer))
 * [GoneMAD Music Player](http://gonemadmusicplayer.blogspot.com/) ([Google Play](https://play.google.com/store/apps/details?id=gonemad.gmmp))
 * MIUI Music Player
 * [ServeStream](http://sourceforge.net/projects/servestream/) ([Google Play](https://play.google.com/store/apps/details?id=net.sourceforge.servestream))
 * Default Sony Ericsson/Xperia Music Player
 * [Neutron Music Player](http://neutronmp.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.neutroncode.mp))
 * [Music2Dance2](http://www.argoday.com/wiki/Music2Dance2) ([Google Play](https://play.google.com/store/apps/developer?id=Argoday))
 * [Rdio](http://www.rdio.com/) ([Google Play](https://play.google.com/store/apps/details?id=com.rdio.android.ui))
 * [DeaDBeeF](http://deadbeef.sourceforge.net/) ([Google Play](https://play.google.com/store/apps/details?id=org.deadbeef.android)) **(a)**
 * More to come...

**(a)** Uses the [Scrobble Droid API](http://code.google.com/p/scrobbledroid/wiki/DeveloperAPI) - identifies under "Enabled apps" as "Scrobble Droid Apps".

**(b)** It presents itself to SLS as the Android Music Player. This means that it won't show up under "Enabled apps" under its real name, but under Android Music Player.


Known compatible devices **(c)**
-----------------------------

Tested by me:

 * Google Nexus One
 * HTC Magic
 * HTC Desire
 * Google Galaxy Nexus

Reported working:

 * Acer Liquid A1
 * Archos 5 Internet Tablet
 * Google Nexus 7
 * HTC Desire HD
 * HTC Desire S
 * HTC Desire Z
 * HTC Dream
 * HTC Droid Eris
 * HTC Droid Incredible (should work, email me if it doesn't)
 * HTC Flyer
 * HTC Hero
 * HTC Legend
 * HTC Tattoo
 * HTC Wildfire
 * LG Optimus One P500
 * LG Optimus V
 * Motorola Droid
 * Motorola Droid 3
 * Motorola Milestone
 * Samsung Galaxy Ace (probably doesn't work with builtin player)
 * Samsung Galaxy S2
 * Samsung Galaxy Spica (doesn't work with the built-in 2.1 music app)
 * Sony Ericsson Xperia X10 Mini Pro
 * Sony Ericsson Xperia Pro

Issues:

 * Motorola CLIQ/DEXT doesn't seem to work

**(c)** SLS should work on any device that can install it, and that can run one of the music apps above.

Changes
-------

For a complete list of changes, see [the changelog](https://github.com/tgwizard/sls/blob/master/assets/changelog.txt)

Questions, Bugs, Suggestions, Contributions, Thoughts...
--------------------------------------------------------

First, read the [FAQ](https://github.com/tgwizard/sls/wiki/FAQ)
to see if you can find any help with your issue.

If you can't find it there, you can always email me,
[simple.lfm.scrobbler@gmail.com](mailto:simple.lfm.scrobbler@gmail.com),
or open an issue here on github.

Developers
----------
If you want to enable your app to scrobble music through SLS, see
[Developer's API](https://github.com/tgwizard/sls/wiki/Developer's-API).

Credits
-------

All of the code is open source, and as of 2010-04-27 lincesed under the
[Apache License 2.0](http://www.apache.org/licenses/LICENSE-2.0) (it was previously GPLv3).
**I've not yet removed the refernces to GPL from the source code**.

 * Almost all of the code is written by me, so: Copyright 2009-2012 Adam Renberg.
 * A small MD5 utilities class seems to be written by many people,
but it is released under GPLv2, and I got it from [ostermiller.org](http://ostermiller.org/utils/MD5.html).
 * The icon was made by [Tha PHLASH](http://www.thaphlash.com/).
 * The Last.fm logo is copyright of Last.fm, taken from their [media kit](http://www.last.fm/resources).
 * The Libre.fm logo is probably copyright of Libre.fm, used in good faith. (Because of their name and stated mission, I assume it is okay).

I use copyright here only in the sense of proper attribution. Do whatever you want with the code (as long as the licenses are followed). I switched to the Apache License 2.0 for a less viral license.

Contributors
------------

 * Adam Renberg, [github.com/tgwizard](https://github.com/tgwizard), main author
 * Tha PHLASH, [thaphlash.com](http://www.thaphlash.com/), icon
 * Argoday, [github.com/argoday](https://github.com/argoday), code fixes, support for Music2Dance2
 * Sean O'Neil, [github.com/SeanPONeil](https://github.com/SeanPONeil), android 4.0
 * Andrew Thomson, support for MIUI Music Player
 * Mark Gillespie, support for Sony/Sony Ericsson/Xperia phones
 * Dmitry Kostjuchenko, support for Neutron Music Player
 * stermi, support for Rdio
 * Dmitry Paskal, [github.com/paskal](https://github.com/paskal), listed test device

Several people have also contributed with comments, suggestions and [issues](https://github.com/tgwizard/sls/issues/).